### Signal

# Gtk Application::window-removed

#### Declaration

    void
    window_removed (
      GtkApplication self,
      GtkWindow* window,
      gpointer user_data
    )

#### Description [src]

Emitted when a `GtkWindow` is removed from `application`.

This can happen as a side-effect of the window being destroyed or explicitly through gtk_application_remove_window().

Default handler: | The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`window` | `GtkWindow`
| The `GtkWindow` that is being removed.
| The data is owned by the caller of the function.